<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <script src="../../../../clover.js" type="text/javascript"></script>
  <script src="../../../../sorttable.js" type="text/javascript"></script>

  <style type="text/css" media="screen">
      @import url('../../../../style.css');
      @import url('../../../../roundedcorners.css');
  </style>
<title> HttpClient 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div class="titleText">
      <a href="pkg-summary.html" target="classPane" title="org.apache.http.localserver">org.apache.http.localserver</a>
    </div>
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  active ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">BasicAuthTokenExtractor</span>
            <a class="classlist" target="classPane" href="BasicAuthTokenExtractor.html#BasicAuthTokenExtractor" title="org.apache.http.localserver.BasicAuthTokenExtractor">BasicAuthTokenExtractor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8333333</span>
        <i>(83.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicServerTestBase</span>
            <a class="classlist" target="classPane" href="BasicServerTestBase.html#BasicServerTestBase" title="org.apache.http.localserver.BasicServerTestBase">BasicServerTestBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9230769</span>
        <i>(92.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">EchoHandler</span>
            <a class="classlist" target="classPane" href="EchoHandler.html#EchoHandler" title="org.apache.http.localserver.EchoHandler">EchoHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.76</span>
        <i>(76%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LocalTestServer</span>
            <a class="classlist" target="classPane" href="LocalTestServer.html#LocalTestServer" title="org.apache.http.localserver.LocalTestServer">LocalTestServer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7368421</span>
        <i>(73.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LocalTestServer.ListenerThread</span>
            <a class="classlist" target="classPane" href="LocalTestServer.html#LocalTestServer.ListenerThread" title="org.apache.http.localserver.LocalTestServer.ListenerThread">LocalTestServer.ListenerThread</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9166667</span>
        <i>(91.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LocalTestServer.Worker</span>
            <a class="classlist" target="classPane" href="LocalTestServer.html#LocalTestServer.Worker" title="org.apache.http.localserver.LocalTestServer.Worker">LocalTestServer.Worker</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8947368</span>
        <i>(89.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RandomHandler</span>
            <a class="classlist" target="classPane" href="RandomHandler.html#RandomHandler" title="org.apache.http.localserver.RandomHandler">RandomHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6764706</span>
        <i>(67.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RandomHandler.RandomEntity</span>
            <a class="classlist" target="classPane" href="RandomHandler.html#RandomHandler.RandomEntity" title="org.apache.http.localserver.RandomHandler.RandomEntity">RandomHandler.RandomEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.78723407</span>
        <i>(78.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">RequestBasicAuth</span>
            <a class="classlist" target="classPane" href="RequestBasicAuth.html#RequestBasicAuth" title="org.apache.http.localserver.RequestBasicAuth">RequestBasicAuth</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ResponseBasicUnauthorized</span>
            <a class="classlist" target="classPane" href="ResponseBasicUnauthorized.html#ResponseBasicUnauthorized" title="org.apache.http.localserver.ResponseBasicUnauthorized">ResponseBasicUnauthorized</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ServerTestBase</span>
            <a class="classlist" target="classPane" href="ServerTestBase.html#ServerTestBase" title="org.apache.http.localserver.ServerTestBase">ServerTestBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.88095236</span>
        <i>(88.1%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>